@charset "utf-8";
@import "../../_variables.sass";

.home {
  position: relative;

  .section {
    padding: 2rem 0rem;
  }
}

.card-header-title {
  word-break: break-word;
  padding: 0;
  align-items: flex-start;
}

.role-list {
  margin-bottom: 16px;
}

.role-list > div {
  margin-bottom: 16px;
}

.role-list > div:last-child {
  margin-bottom: 0;
}

.custom-column {
  padding: 0;
  width: 100%;

  .custom-column-inner {
    margin: 0.75rem 0.5rem 0.75rem 2rem;
    box-shadow: $card-role-shadow;
    min-height: 120px !important;
  }

  @include mobile {
    margin: 0 0 16px 0;

    &:last-child {
      margin-bottom: 0;
    }
  }
}

@media (max-width: 1288px) {
  .custom-column {
    font-weight: 400;
    font-size: 16px;

    @media (max-width: 768px) {
      .custom-column-inner {
        margin: 0;
      }
    }
  }
}

@include mobile {
  .custom-column {
    max-width: unset;
    margin-right: 0;
  }
}

.custom-column:nth-child(3n) {
  margin-right: 0 !important;
}

.card.has-image {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 100%;

  &.is-disabled {
    opacity: 0.6;
    box-shadow: none;

    img {
      filter: grayscale(0.4);
    }
  }

  .card-image {
    max-width: 120px;
    height: 100%;
    position: relative;
    margin: 18px 10px;

    figure {
      height: 100%;
      margin: 0;
    }

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  .card-content {
    width: calc(100% - 120px);
    display: flex;
    flex-direction: column;
    padding: 0.75rem;
    height: 100%;

    select {
      width: 100%;
    }
  }
}

.react-select .react-select__control {
  border-color: hsl(0, 0%, 80%);
}

.hero.dotted {
  background-position-y: -0.5rem;
}

.hero-body {
  @include mobile {
    margin: -1.5rem 0 -0.5rem;

    .subtitle {
      font-size: 16px;
    }
  }

  @include tablet {
    .subtitle {
      font-size: 18px;
    }
  }
}

.role-tabs {
  .role-description {
    padding-top: 0;
  }

  .tabs {
    ul {
      display: block;
    }

    li {
      a {
        border-bottom-width: 2px;
      }

      &.is-active {
        position: relative;
        background-color: $grey-lighter;

        a {
          border-top: none;
          border-bottom-color: $primary;
          border-bottom-width: 2px;
          border-bottom-style: solid;
          transition: all $speed;
        }

        &::before {
          content: none;
          border: none;
        }
      }
    }
  }
}
